mtext_ins_char(3m17n)

NAME
mtext_ins_char - Insert a character into an M-text.

SYNOPSIS
int mtext_ins_char (MText * mt, int pos, int c, int n)

DESCRIPTION
Insert a character into an M-text.

The mtext_ins_char() function inserts n copies of character c into M-text mt at position pos. As a result, mt is lengthen by n.

RETURN VALUE

    If the operation was successful, mtext_ins() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

SEE ALSO

    mtext_ins, mtext_del()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.